Skip to main content

Detach a Security Group from a Group

Detaches a security group from the auto scaling group, identified by the security_group_id query parameter (the security group's id).

DELETE/api/v1/scaler/scalegroups/security_groups/{scaler_id}/

Path parameters

  • scaler_idPathintegerrequired

    The id of the auto scaling group, as returned by List.

    • required
    • must be a valid auto scaling group ID
    example12345

Query parameters

  • security_group_idQueryintegerrequired

    The id of the attached security group to detach.

    • required
    • must be the id of a currently attached security group
    example{{security_group_id}}
  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the group.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Responses

200Successful response
object

Security group detach confirmation.

codeinteger
example200
dataobject
errorsobject
messagestring
exampleSecurity Group Detaching Successfully